package com.mdd.admin.vo.album;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("相册Vo")
public class AlbumVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("所属类目")
   private Integer cid;
   @ApiModelProperty("文件名称")
   private String name;
   @ApiModelProperty("相对路径")
   private String path;
   @ApiModelProperty("文件路径")
   private String uri;
   @ApiModelProperty("文件扩展")
   private String ext;
   @ApiModelProperty("文件大小")
   private String size;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public Integer getCid() {
      return this.cid;
   }

   public String getName() {
      return this.name;
   }

   public String getPath() {
      return this.path;
   }

   public String getUri() {
      return this.uri;
   }

   public String getExt() {
      return this.ext;
   }

   public String getSize() {
      return this.size;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setCid(Integer cid) {
      this.cid = cid;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setPath(String path) {
      this.path = path;
   }

   public void setUri(String uri) {
      this.uri = uri;
   }

   public void setExt(String ext) {
      this.ext = ext;
   }

   public void setSize(String size) {
      this.size = size;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AlbumVo)) {
         return false;
      } else {
         AlbumVo other = (AlbumVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label119;
                  }
               } else if (this$id.equals(other$id)) {
                  break label119;
               }

               return false;
            }

            Object this$cid = this.getCid();
            Object other$cid = other.getCid();
            if (this$cid == null) {
               if (other$cid != null) {
                  return false;
               }
            } else if (!this$cid.equals(other$cid)) {
               return false;
            }

            label105: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label105;
                  }
               } else if (this$name.equals(other$name)) {
                  break label105;
               }

               return false;
            }

            Object this$path = this.getPath();
            Object other$path = other.getPath();
            if (this$path == null) {
               if (other$path != null) {
                  return false;
               }
            } else if (!this$path.equals(other$path)) {
               return false;
            }

            label91: {
               Object this$uri = this.getUri();
               Object other$uri = other.getUri();
               if (this$uri == null) {
                  if (other$uri == null) {
                     break label91;
                  }
               } else if (this$uri.equals(other$uri)) {
                  break label91;
               }

               return false;
            }

            Object this$ext = this.getExt();
            Object other$ext = other.getExt();
            if (this$ext == null) {
               if (other$ext != null) {
                  return false;
               }
            } else if (!this$ext.equals(other$ext)) {
               return false;
            }

            label77: {
               Object this$size = this.getSize();
               Object other$size = other.getSize();
               if (this$size == null) {
                  if (other$size == null) {
                     break label77;
                  }
               } else if (this$size.equals(other$size)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$createTime = this.getCreateTime();
               Object other$createTime = other.getCreateTime();
               if (this$createTime == null) {
                  if (other$createTime == null) {
                     break label70;
                  }
               } else if (this$createTime.equals(other$createTime)) {
                  break label70;
               }

               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof AlbumVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $cid = this.getCid();
      result = result * 59 + ($cid == null ? 43 : $cid.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $path = this.getPath();
      result = result * 59 + ($path == null ? 43 : $path.hashCode());
      Object $uri = this.getUri();
      result = result * 59 + ($uri == null ? 43 : $uri.hashCode());
      Object $ext = this.getExt();
      result = result * 59 + ($ext == null ? 43 : $ext.hashCode());
      Object $size = this.getSize();
      result = result * 59 + ($size == null ? 43 : $size.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "AlbumVo(id=" + this.getId() + ", cid=" + this.getCid() + ", name=" + this.getName() + ", path=" + this.getPath() + ", uri=" + this.getUri() + ", ext=" + this.getExt() + ", size=" + this.getSize() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
